summaryrefslogtreecommitdiffstats
path: root/testsuite/dwz.tests/twice-hardlink.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/dwz.tests/twice-hardlink.sh')
-rw-r--r--testsuite/dwz.tests/twice-hardlink.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/testsuite/dwz.tests/twice-hardlink.sh b/testsuite/dwz.tests/twice-hardlink.sh
new file mode 100644
index 0000000..6bc0794
--- /dev/null
+++ b/testsuite/dwz.tests/twice-hardlink.sh
@@ -0,0 +1,31 @@
+cp $execs/hello 1
+ln 1 2
+
+dwz -h 1 2
+
+smaller-than.sh 1 $execs/hello
+
+hardlinks-p.sh 1 2
+
+cp 1 1.saved
+
+if dwz -h 1 2 2>dwz.err; status=$?; then
+ true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+ cat dwz.err
+ exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+ | wc -l) -gt 0 ]; then
+ cat dwz.err
+ exit 1
+fi
+
+[ $status -eq 0 ]
+
+cmp 1 1.saved
+
+rm -f 1 1.saved 2 2.saved dwz.err